/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

public class BaseObject {
	@XStreamAsAttribute
	protected String uuid;
	@XStreamAsAttribute
	protected String name;
	@XStreamAsAttribute
	protected String title;
	@XStreamAsAttribute
	protected String description;
	@XStreamAsAttribute
	@XStreamAlias("enable-delete")
	protected Boolean enableDelete;// 允许删除
	@XStreamAsAttribute
	@XStreamAlias("enable-modity")
	protected Boolean enableModify;// 允许修改

	public String getUuid() {
		return uuid;
	}

	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Boolean getEnableDelete() {
		return enableDelete;
	}

	public void setEnableDelete(Boolean enableDelete) {
		this.enableDelete = enableDelete;
	}

	public Boolean getEnableModify() {
		return enableModify;
	}

	public void setEnableModify(Boolean enableModify) {
		this.enableModify = enableModify;
	}

	public BaseObject() {
		super();
	}

}