/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config.entity;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.mda.config.BaseObject;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 模型
 * 
 * @author luoguo
 * 
 */
@XStreamAlias("entity-model")
public class EntityModel extends BaseObject {
	@XStreamAsAttribute
	private String version;// 版本
	@XStreamAsAttribute
	@XStreamAlias("cache-enabled")
	private Boolean cacheEnabled;// 是否启用缓冲
	@XStreamAsAttribute
	private Boolean ignore;//是否跳过文件生成阶段
	@XStreamAlias("entity-groups")
	List<EntityGroup> groups;

	@XStreamAlias("indexs")
	List<Index> indexs;

	@XStreamAlias("operations")
	List<Operation> operations;

	@XStreamAlias("views")
	List<View> views;

	@XStreamAsAttribute
	@XStreamAlias("package-name")
	private String packageName;

	public String getPackageName() {
		return packageName;
	}

	

	public Boolean getIgnore() {
		if(ignore==null){
			ignore = false;
		}
		return ignore;
	}



	public void setIgnore(Boolean ignore) {
		this.ignore = ignore;
	}



	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public Boolean getCacheEnabled() {
		return cacheEnabled;
	}

	public void setCacheEnabled(Boolean cacheEnabled) {
		this.cacheEnabled = cacheEnabled;
	}

	public List<EntityGroup> getGroups() {
		if(groups==null)
			groups = new ArrayList<EntityGroup>();
		return groups;
	}

	public void setGroups(List<EntityGroup> groups) {
		this.groups = groups;
	}

	public List<Operation> getOperations() {
		if (operations == null)
			operations = new ArrayList<Operation>();
		return operations;
	}

	public void setOperations(List<Operation> operations) {
		this.operations = operations;
	}

	public List<View> getViews() {
		if (views == null)
			views = new ArrayList<View>();
		return views;
	}

	public void setViews(List<View> views) {
		this.views = views;
	}

	public List<Index> getIndexs() {
		if (indexs == null)
			indexs = new ArrayList<Index>();
		return indexs;
	}

	public void setIndexs(List<Index> indexs) {
		this.indexs = indexs;
	}

}
