/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config.trans;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

@XStreamAlias("mda-creators")
public class MDACreators {
	@XStreamImplicit
	private List<MDACreatorConfig> creators;
	@XStreamAsAttribute
	private String type;
	private Map<String, String> propertys;

	public Map<String, String> getPropertys() {
		if (propertys == null)
			propertys = new HashMap<String, String>();
		return propertys;
	}

	public void setPropertys(Map<String, String> propertys) {
		this.propertys = propertys;
	}

	public List<MDACreatorConfig> getCreators() {
		if (creators == null)
			creators = new ArrayList<MDACreatorConfig>();
		return creators;
	}

	public void setCreators(List<MDACreatorConfig> creators) {
		this.creators = creators;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

}
