/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.inputmode;

import org.tinygroup.mda.InputMode;
import org.tinygroup.mda.config.entity.EntityField;
import org.tinygroup.mda.config.entity.EntityModel;
import org.tinygroup.mda.config.entity.Operation;
import org.tinygroup.mda.config.entity.OperationField;
import org.tinygroup.mda.config.entity.OperationGroup;
import org.tinygroup.mda.config.entity.View;
import org.tinygroup.mda.util.MDAUtil;
import org.tinygroup.springutil.SpringUtil;

public class FieldSetInputMode implements InputMode {

	public String getOperator() {
		// TODO Auto-generated method stub
		return null;
	}

	public String parse(EntityModel model, View view, Operation op, Object obj) {
		OperationGroup group = (OperationGroup) obj;
		StringBuffer sb = new StringBuffer();
		sb.append("#@fieldset(\"").append(group.getTitle()).append("\")")
				.append("\n");
		for (OperationField field : group.getFields()) {
			// 首先去操作字段中获取输入模式
			String inputMode = field.getInputMode();
			if (inputMode == null || "".equals(inputMode)) {
				// 若操作字段未配置，则获取操作字段对应模型字段的输入模式
				String fieldid = field.getEntityFielduuid();
				EntityField entityField = MDAUtil.getField(model, fieldid);
				if (entityField == null)
					continue;
				inputMode = entityField.getInputMode();
			}
			InputMode mode = (InputMode) SpringUtil.getBean(inputMode);
			sb.append(mode.parse(model, view, op, field));
		}
		sb.append("#end").append("\n");
		return sb.toString();
	}

}
